Subject: Re: [RFC][PATCH] QoS TBF and latency configuration misbehavior

From: Jarek Poplawski <[email-masked]>
Date: Wed, 1 Sep 2010 06:36:03 +0000

On Wed, Sep 01, 2010 at 02:34:02AM +0400, Alexey Kuznetsov wrote:
> Hello!
Hi!

> To Jarek: about the scripts. I do not think something will be broken
> by fixing this error. Eventually, if someone used "latency", he meant
> something about real latency. And even if the value was generated
> using the same wrong logic as tc did, using correct formula would just
> increase limit setting.

As I wrote earlier, I'm more worried about configs based on experience,
not logic. Dan's tests show there could be a difference, and I'm not
sure users cared about the logic, since it wasn't questioned until now.
Btw, there could be considered adding a new, alternative parameter, for
this, like rlatency etc. if it's so crucial. And, of course, it's only
my little "IMHO", I don't insist on anything.

Thanks,
Jarek P.